package net.wanji.utc.hisense;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author duanruiming
 * @date 2023/05/08 13:37
 */
@SpringBootApplication(scanBasePackages = {"net.wanji.utc.hisense", "net.wanji.databus", "net.wanji.common"})
@MapperScan(basePackages = {"net.wanji.databus.dao.mapper", "net.wanji.utc.hisense.mapper"})
@EnableTransactionManagement
@EnableScheduling
@SuppressWarnings("all")
public class HisenseApplication implements CommandLineRunner {
    @Value("${portParam.localPort}")
    int localPort;
    @Value("${portParam.remotePort}")
    int remoteProt;
    @Value("${portParam.remoteIp}")
    String remoteIp;

    public static void main(String[] args) {
        SpringApplication.run(HisenseApplication.class, args);
    }

    @Override
    public void run(String... args) throws Exception {
        //UdpClient.connection(localPort, remoteProt);
        //TcpClient.connection(remoteIp, remoteProt);
//        TcpClient.connection("127.0.0.1", remoteProt);
    }
}
