package net.wanji.utc.hisense.cache;

import java.util.HashMap;
import java.util.Map;

/**
 * 海信信号机特殊路口缓存
 *
 * @author Kent HAN
 * @date 2023/7/6 15:43
 */
public class ComplexCrossCache {
    private static final Map<String, Map<Integer, Integer>> turnCacheMap;
    private static final Map<String, Map<Integer, Integer>> dirCacheMap;

    static {
        turnCacheMap = new HashMap<>();
        dirCacheMap = new HashMap<>();

        // 旅游路与转山西路交叉口
        Map<Integer, Integer> turnInnerMap13NI00B5RM0 = new HashMap<>();
        turnInnerMap13NI00B5RM0.put(1, 1);
        turnInnerMap13NI00B5RM0.put(5, 2);
        turnInnerMap13NI00B5RM0.put(13, 2);
        turnInnerMap13NI00B5RM0.put(14, 1);
        turnInnerMap13NI00B5RM0.put(7, 20);
        turnInnerMap13NI00B5RM0.put(11, 20);
        turnCacheMap.put("13NI00B5RM0", turnInnerMap13NI00B5RM0);
        Map<Integer, Integer> dirInnerMap13NI00B5RM0 = new HashMap<>();
        dirInnerMap13NI00B5RM0.put(1, 1);
        dirInnerMap13NI00B5RM0.put(5, 3);
        dirInnerMap13NI00B5RM0.put(13, 7);
        dirInnerMap13NI00B5RM0.put(14, 7);
        dirInnerMap13NI00B5RM0.put(7, 1);
        dirInnerMap13NI00B5RM0.put(11, 3);
        dirCacheMap.put("13NI00B5RM0", dirInnerMap13NI00B5RM0);

        // 旅游路与洪山路交叉口
        Map<Integer, Integer> dirInnerMap13NGH0B5RC0 = new HashMap<>();
        dirInnerMap13NGH0B5RC0.put(1, 1);
        dirInnerMap13NGH0B5RC0.put(3, 6);
        dirInnerMap13NGH0B5RC0.put(4, 3);
        dirInnerMap13NGH0B5RC0.put(5, 1);
        dirInnerMap13NGH0B5RC0.put(7, 1);
        dirInnerMap13NGH0B5RC0.put(9, 5);
        dirInnerMap13NGH0B5RC0.put(11, 3);
        dirInnerMap13NGH0B5RC0.put(12, 6);
        dirInnerMap13NGH0B5RC0.put(13, 6);
        dirInnerMap13NGH0B5RC0.put(15, 5);
        dirCacheMap.put("13NGH0B5RC0", dirInnerMap13NGH0B5RC0);

        // 旅游路与霞景路交叉口
        Map<Integer, Integer> dirInnerMap13NF80B5QN0 = new HashMap<>();
        dirInnerMap13NF80B5QN0.put(1, 1);
        dirInnerMap13NF80B5QN0.put(3, 6);
        dirInnerMap13NF80B5QN0.put(5, 2);
        dirInnerMap13NF80B5QN0.put(7, 1);
        dirInnerMap13NF80B5QN0.put(9, 4);
        dirInnerMap13NF80B5QN0.put(11, 2);
        dirInnerMap13NF80B5QN0.put(13, 6);
        dirInnerMap13NF80B5QN0.put(15, 4);
        dirCacheMap.put("13NF80B5QN0", dirInnerMap13NF80B5QN0);
    }

    public static Map<String, Map<Integer, Integer>> getTurnCacheMap() {
        return turnCacheMap;
    }

    public static Map<String, Map<Integer, Integer>> getDirCacheMap() {
        return dirCacheMap;
    }

}
