package net.wanji.utc.hisense.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/11/12 15:04
 */
@Getter
@AllArgsConstructor
public enum HiseseDirEnum {
    // '灯组方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北',

    ZERO(0,1, "北"),

    ONE(1,3, "东"),

    TWO(2,5, "南"),

    THREE(3,7, "西"),

    FOUR(4,2, "东北"),

    FIVE(5,4, "东南"),

    SIX(6,6, "西南"),

    SEVEN(7,8, "西北");

    private Integer hisenseDir;
    private Integer wjLightsDir;
    private String desc;

    public static Integer getWjLightsDir(Integer hisenseDir) {
        for (HiseseDirEnum value : HiseseDirEnum.values()) {
            if (Objects.equals(hisenseDir, value.getHisenseDir())) {
                return value.getWjLightsDir();
            }
        }
        return 0;
    }

    public static void main(String[] args) throws Exception {
        String format = String.format("%16s", Integer.toBinaryString(26)).replace(' ', '0');
        char[] chars = format.toCharArray();
        List<Integer> result = new ArrayList<>();
        int length = chars.length;
        for (int i = 0; i < length; i++) {
            if (chars[i] == '1') {
                result.add(length - i);
            }
        }
        Collections.sort(result);
        result.forEach(i -> {
            System.err.println(i);
        });
    }

}
