package net.wanji.utc.hisense.common;

import net.wanji.common.utils.tool.LocalDateTimeUtil;
import net.wanji.common.utils.tool.RandomUtil;
import net.wanji.utc.hisense.common.constants.HttpConstants;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;


/**
 * @author zhouleilei
 * @version 1.0
 * @date 2024/11/3 12:46
 */
public class OperationBaseDom {

    private OperationBaseDom() {
    }

    /**
     * 产生一个基本操作dom
     *
     * @return
     */
    public static Document generateBaseDoc() {
        Document document = DocumentHelper.createDocument();
        Element message = document.addElement("systemScription")
                .addAttribute("System", "TCIP")
                .addAttribute("Version", "1.0");
        message.addElement("subSystem").setText("Hisense");
        message.addElement("isRequest").setText("1");
        message.addElement("seq").setText(LocalDateTimeUtil.formatNow(LocalDateTimeUtil.SIMPLE) + RandomUtil.generateFromSource(6, RandomUtil.NUMBER_SOURCE));
        message.addElement("needResponse").setText("1");
        message.addElement("result").setText("0");
        message.addElement("flag").setText("0");
        message.addElement("messageContent");
        return document;
    }

    public static void main(String[] args) throws DocumentException {
        Document document = OperationBaseDom.generateBaseDoc();
        Element element = (Element) document.selectSingleNode("/systemScription");
        element.addElement("messageType").setText("12");
        Element messageContent = (Element) document.selectSingleNode("/systemScription/messageContent");
        messageContent.addElement("Spot").setText("101");
        System.out.println(document.asXML());

        String post = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n" +
                "<systemScription  System=\"TCIP\" Version=\"1.0\">\n" +
                "    <subSystem>Hisense</subSystem>\n" +
                "    <messageType>12</messageType>\n" +
                "    <isRequest>0</isRequest>\n" +
                "    <seq>20241103155205549244</seq>\n" +
                "    <needResponse>1</needResponse>\n" +
                "    <result>1</result>\n" +
                "    <flag>0</flag>\n" +
                "    <tStamp>1730623180670</tStamp>\n" +
                "    <messageContent>\n" +
                "        <Spot>882530</Spot>\n" +
                "        <CoordPatternStatus>58</CoordPatternStatus>\n" +
                "        <CoordCycleStatus>200</CoordCycleStatus>\n" +
                "        <CoordSyncStatus>41</CoordSyncStatus>\n" +
                "    </messageContent>\n" +
                "</systemScription>";
        Document postResult = DocumentHelper.parseText(post);
        String result = postResult.selectSingleNode(HttpConstants.SYSTEMSCRIPTION_RESULT).getText();
        if (HttpConstants.RESULT_1.equals(result)){
            //成功
            String spot = postResult.selectSingleNode(HttpConstants.SYSTEMSCRIPTION_MESSAGECONTENT).valueOf("Spot");
            System.out.println(spot);
        }else {
            //失败
        }

    }


}
