package net.wanji.utc.hisense.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/06/19 10:07
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum ControlModelEnum {
    FIXED_CYCLE(1, 2, "定周期"),
    GREEN_WAVE(2, 0, "绿波协调"),
    YELLOW_CONTROL(3, 1, "黄闪"),
    RED_CONTROL(4, 7, "全红"),
    CLOSED_CONTROL(5, 6, "关灯"),
    SELF_CONTROL(6, 13, "单点自适应 -> 协调优化"),
    FULL_INDUCTION(7, 3, "全感应 -> 本地感应"),
    HALF_INDUCTION(8, 3, "半感应");

    private Integer wjControl;
    private Integer hisenseControlHex;
    private String message;

    public static Integer getWjControlMode(Integer hisenseControlHex) {
        for (ControlModelEnum value : ControlModelEnum.values()) {
            if (Objects.equals(hisenseControlHex, value.getHisenseControlHex())) {
                return value.getWjControl();
            }
        }
        return null;
    }

}
