package net.wanji.utc.hisense.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/06/19 10:07
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum ControlTypeEnum {
    FIXED_CYCLE(1, 6, "定周期-->时段表控制"),
    ALL_RED(2, 3, "全红"),
    YELLOW_CONTROL(3, 3, "黄闪"),
    LOCK_CONTROL(4, 3, "锁定 --> 中心手动控制"),
    CLOSED_CONTROL(5, 2, "中心优化"),
    SELF_CONTROL(6, 0, "MEC优化"),
    FULL_INDUCTION(7, 5, "现场手动-->面板手动"),
    LOWER_LEVEL(8, 4, "降级");

    private Integer wjControl;
    private Integer hisenseControlHex;
    private String message;

    public static Integer getWjControlType(Integer hisenseControlHex) {
        for (ControlTypeEnum value : ControlTypeEnum.values()) {
            if (Objects.equals(hisenseControlHex, value.getHisenseControlHex())) {
                return value.getWjControl();
            }
        }
        return null;
    }

}
