package net.wanji.utc.hisense.common.enums;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/03/29 17:47
 */
public enum CrossLisghtsLaneDirEnum {
    ONE(1, 5, "北"),
    TWO(2, 6, "东北"),
    THREE(3, 7, "东"),
    FOUR(4, 8, "东南"),
    FIVE(5, 1, "南"),
    SIX(6, 2,"西南"),
    SEVEN(7, 3, "西"),
    EIGHT(8, 4,"西北");

    private final int lightDir;
    private final int laneDir;
    private final String msg;


    /**
     * 通过灯组方向获取车道方向
     *
     * @param lightDir
     * @return
     */
    public static Integer getLaneDirByLightsDir(Integer lightDir) {
        CrossLisghtsLaneDirEnum[] values = CrossLisghtsLaneDirEnum.values();
        for (CrossLisghtsLaneDirEnum value : values) {
            if (Objects.equals(value.getLightDir(), lightDir)) {
                return  value.getLaneDir();
            }
        }
        return null;
    }

    /**
     * 通过车道方向获取灯组方向
     *
     * @param laneDir
     * @return
     */
    public static Integer getLightsDirByLaneDir(Integer laneDir) {
        CrossLisghtsLaneDirEnum[] values = CrossLisghtsLaneDirEnum.values();
        for (CrossLisghtsLaneDirEnum value : values) {
            if (Objects.equals(value.getLaneDir(), laneDir)) {
                return  value.getLightDir();
            }
        }
        return null;
    }

    CrossLisghtsLaneDirEnum(int lightDir, int laneDir, String msg) {
        this.lightDir = lightDir;
        this.laneDir = laneDir;
        this.msg = msg;
    }

    public int getLightDir() {
        return lightDir;
    }

    public int getLaneDir() {
        return laneDir;
    }

    public String getMsg() {
        return msg;
    }
}
