package net.wanji.utc.hisense.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/08/30 14:57
 * @description 来源滴滴数据大脑海信控制模式转换
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum DataBrainControlModeEnum {
    LOCK(2, 52, "锁定"),
    ALL_RED(3, 12, "全红"),
    YELLOW_FLASH(4, 13, "黄闪"),
    CLOSED_FLASH(5, 11, "关灯"),
    STEP_CONTROL(9, 52, "步进"),
    FIX_CYCLE(11, 21, "定周期"),
    SELF_ADAPTION(100, 23, "单点自适应控制"),
    LINE_COORDINATE(100, 31, "线协调控制"),
    REGION_COORDINATE(100, 41, "区域协调控制"),
    TEMP_PLAN(255,  53, "临时方案");

    private Integer wjControl;
    private Integer hisenseControl;
    private String message;

    public static Integer getWjControlMode(Integer hisenseControl) {
        for (DataBrainControlModeEnum value : DataBrainControlModeEnum.values()) {
            if (Objects.equals(hisenseControl, value.getHisenseControl())) {
                return value.getWjControl();
            }
        }
        return 11; // 默认定周期
    }
}
