package net.wanji.utc.hisense.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/08/30 15:41
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum DataBrainDirEnum {
    ZERO(0, 1),
    ONE(1, 2),
    TWO(2, 3),
    THREE(3, 4),
    FOUR(4, 5),
    FIVE(5, 6),
    SIX(6, 7),
    SEVEN(7, 8);
    private Integer hisenseDir;
    private Integer wjLightsDir;

    public static Integer getWjLightsDir(Integer hisenseDir) {
        for (DataBrainDirEnum value : DataBrainDirEnum.values()) {
            if (Objects.equals(hisenseDir, value.getHisenseDir())) {
                return value.getWjLightsDir();
            }
        }
        return null;
    }
}
