package net.wanji.utc.hisense.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * @author duanruiming
 * @date 2023/06/19 16:27
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum PhaseLightColorEnum {
    LIGHT_OFF("0", "off", "关灯"),

    LIGHT_RED("2", "red", "红灯"),

    LIGHT_GREEN("1", "green", "绿灯"),

    LIGHT_GREEN_FLASH("21", "green", "绿闪"),

    LIGHT_YELLOW("4", "yellow", "黄灯"),

    LIGHT_YELLOW_FLASH("31", "yellow", "黄闪"),

    LIGHT_RED_YELLOW("6", "redYellow", "红黄灯");

    private String hisenseLightColor;
    private String wjLightColor;
    private String message;

    public static String getWjLightColor(String hisenseLightColor) {
        for (PhaseLightColorEnum value : PhaseLightColorEnum.values()) {
            if (StringUtils.equals(hisenseLightColor, value.getHisenseLightColor())) {
                return value.getWjLightColor();
            }
        }
        return null;
    }
}
