package net.wanji.utc.hisense.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.utc.hisense.pojo.view.VNtcipTimeBaseDayplanDTO;
import net.wanji.utc.hisense.pojo.view.VNtcipTimeBaseDayplanView;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName VNtcipTimeBaseDayplanMapper
 * @Description 时段视图 Mapper
 * @Author zhouleilei
 * @Date 2024/11/11 20:12
 */
@DS("oracle")
public interface VNtcipTimeBaseDayplanMapper  extends BaseMapper<VNtcipTimeBaseDayplanView> {

    /**
     * 根据路口编号和计划ID获取时段信息
     * @param crossId 路口编号
     * @param dayPlanId 计划ID
     * @return 时段信息
     */
    List<VNtcipTimeBaseDayplanDTO> listByCrossIdAndDayPlanId(@Param("crossId") String crossId, @Param("dayPlanId")Integer dayPlanId);
}
