package net.wanji.utc.hisense.pojo.convert;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 海信运行状态实体
 * @author duanruiming
 * @date 2023/06/29 9:08
 */
@Data
public class RunningLightsStatusPojo {
    // 路口编号
    private String CID;
    // 周期长
    private Integer CC;
    // 周期倒计时
    private Integer CCCD;
    // 当前控制模式
    private Integer CCM;
    // 当前控制方式
    private Integer CCT;
    private Channel CHANNEL;
    // 当前运行方案号
    private Integer PLN;
    // 信号机参数版本
    private Integer PV;
    // 系统时间戳，毫秒级
    private Date TS;
    private List<Phase> PHASE;

    @Data
    public static class Phase {
        // 相位灯态 1-绿灯 2-红灯 4-黄灯
        private Integer LS;
        // 相位倒计时
        private Integer PCD;
        // 相位号
        private Integer PHN;
        // 相位绿信比
        private Integer PS;
    }

    @Data
    public static class Channel {
        // 32个通道信息 1-绿灯 2-红灯 4-黄灯
        private List<Integer> SCS;
    }


}
