package net.wanji.utc.hisense.task;

import lombok.extern.slf4j.Slf4j;
import net.wanji.utc.hisense.cache.CrossRunSchemeCache;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author duanruiming
 * @date 2023/09/25 10:15
 */
@Component
@Slf4j
public class RefreshCacheTask {

    @Resource
    private CrossRunSchemeCache crossRunSchemeCache;

    @Scheduled(cron = "0 0 * * * ?")
    public void refresh() throws Exception {
        try {
            crossRunSchemeCache.init();
        } catch (Exception e) {
            throw new Exception("每天刷新路口日计划缓存失败", e);
        }
    }
}
